.App {
  display: flex;
  flex-direction: column;
  background-color: #000000;
  align-items: center;
}

.container {
  width: 100%;
  display: grid;

  max-width: 1440px;
  color: #131212;
  grid-template-columns: 1fr;
  grid-template-rows: 40px 52px 1.5fr 438px 20px;
  grid-template-areas:
    "header"
    "nav"
    "main"
    "footer"
    "small";
  /* grid-gap: 0.2rem; */
}
header {
  background-color: #fbfbfb;
  grid-area: header;
  color: #000000;
  justify-content: center;
  align-items: center;
  display: flex;
  font-weight: 300;
  font-size: 0.75rem;
  height: 2.5rem;
  font-style: normal;
  letter-spacing: 16%;
}
nav {
  background-color: #ffffff;
  padding-left: 40px;
  padding-right: 40px;
  grid-area: nav;
  color: black;
  flex: 1;
  flex-direction: row;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 40px;
  padding-right: 40px;
  height: 3.25rem;
}
#logo {
  font-size: 2rem;
}
#menuIcon {
  display: none;
}
nav section {
  display: flex;
}
nav a {
  display: flex;
  margin-right: 40px;
  font-size: 0.75rem;
  font-style: normal;
  line-height: 17px;
  letter-spacing: 17.5%;
}
#topIcons {
  display: flex;
  align-items: center;
}
nav div {
  flex-direction: row;
  color: #000000;
  align-items: center;
  background-color: chartreuse;
}
.navIcon {
  margin-left: 18px;
}
.navBag {
  margin-left: 18px;
}
main {
  background-color: #000000;
  display: grid;

  grid-area: main;
  color: rgb(231, 219, 219);
  grid-template-columns: 1fr;
  grid-template-rows: repeat(1fr, 4);
  grid-template-areas:
    "section1"
    "section2"
    "section3"
    "section4";
}

small {
  background-color: #f1f1f1;
  grid-area: small;
  color: #c4c4c4;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  font-weight: 300;
  font-style: normal;
}
.innerSection {
  display: flex;
  flex: 1;
  background-color: #000000;
  flex-direction: column;
}
/* ==============in main section1 styling============= */
#section1 {
  grid-area: section1;
  color: rgb(255, 255, 255);
  display: flex;
  flex-direction: row;
  flex: 1;
  font-size: 14px;
  font-weight: 400;
}

#firstImage {
  margin-right: 0;
}

#fistDetail section {
  margin-left: 80px;
  margin-right: 40px;
  font-weight: 400;
  font-size: 14px;
  line-height: 23.45px;
  font-style: normal;
  margin-bottom: 80px;
  font-style: normal;
}
#fistDetail h1 {
  margin-left: 80px;
  font-size: 28px;
  letter-spacing: 8%;
  margin-top: 55px;
  margin-bottom: 126px;
  line-height: 36.4px;
  text-transform: capitalize;
  font-weight: 400;
}
/* ==============in main section2 styling============= */
#section2 {
  background-color: rgb(7, 7, 7);
  grid-area: section2;
  color: rgb(255, 255, 255);
  display: flex;
  flex-direction: row;
  flex: 1;
}

#section2 ul {
  list-style: none;
}

#secondImage {
  display: flex;
  align-items: flex-end;
  padding-top: 80px;
  margin-right: 0;
}
#secondDetail {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#secondDetail li {
  list-style-type: none;
  line-height: 27px;
  font-weight: 700;
}

mark {
  color: gold;
  background-color: black;
  display: inline-block;
}

/* ==============in main section3 styling============= */
#section3 {
  background-color: rgb(77, 68, 68);
  grid-area: section3;
  color: rgb(255, 255, 255);
  display: flex;
  flex-direction: row;
  flex: 1;
}

#section3 h1 {
  width: 337px;
}

#thirdDetail h1 {
  font-size: 40px;
  font-weight: 700;
  font-style: normal;
  line-height: 57.2px;
  font: Open sans-serif;
  margin-left: 80px;
  width: 517px;
  margin-top: 172px;
  text-transform: uppercase;
  letter-spacing: 18%;
}
#thirdImage {
  margin-left: 0;
  padding-right: 40px;
}

/* ==============in main section4 styling============= */
#section4 {
  background-color: #7a2929;
  grid-area: section4;
  color: rgb(255, 255, 255);
}

#section4 {
  background-color: #ffffff;
}

#section4 > h1 {
  font-size: 28px;
  line-height: 36px;
  color: #000000;
  font-weight: 400;
  padding-left: 40px;

  padding-top: 80px;
  font-style: normal;
  font: Open sans-serif;
}

.card {
  width: 328px;
  height: 410px;
  color: rgb(7, 7, 7);
  background-color: rgb(240, 240, 241);
  box-sizing: border-box;
  margin-left: 20px;
  float: left;
}
#cardContainer {
  width: 100%;
  position: relative;
}
.shippingMethod {
  font-size: 12px;
  color: #000000;
  font-weight: 400;
  font-family: Open sans-serif;
  margin-bottom: 4px;
  margin-left: 7px;
}

.card img {
  width: 100%;
  height: calc(100% - 100px);
  z-index: 20;
}
.productDetail {
  color: rgb(7, 7, 7);
  height: 100px;
  margin-bottom: 5px;
  background-color: #ffffff;
}
.productDetail > span {
  line-height: 20px;
  display: flex;
}

/*=====================footer styles ==============================*/
footer {
  display: grid;
  background-color: #f1f1f1;
  grid-area: footer;
  color: rgb(255, 255, 255);
  grid-template-columns: 50% 25% 25%;
  grid-template-rows: 1fr;
  grid-template-areas: "footerSection1 footerSection2 footerSection3";

  grid-gap: 0.1rem;
}

/* ===========footerSection1 Style======*/
.footerSection1 {
  color: #000000;
  grid-area: footerSection1;
  padding-top: 80px;
  padding-left: 155px;
}
.footerSection1 h1 {
  font-size: 12px;
  line-height: 14px;
  line-height: 100%;
  letter-spacing: 16.5%;
  margin-bottom: 29px;
}
.footerSection1 input {
  width: 460px;
  border: none;
  border-bottom: 1px solid #c4c4c4;
  padding: 16px 0;
  margin-bottom: 28px;
}
.footerSection1 input {
  padding-left: 40px;
}
.footerSection1 span {
  color: #8f8f8f;
  width: 80px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.footerSection1 div {
  display: flex;
  align-items: center;
}
.footerSection1 div i {
  position: relative;
  right: 20px;
  top: 0px;
}
.inputArrow {
  color: #000000;
  margin-bottom: 16px;
}
/*==========footerSection2 styles================ */
.footerSection2 {
  background-color: #f1f1f1;
  grid-area: footerSection2;
  color: #7e7e7e;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-top: 80px;
  padding-left: 20px;
}
.footerSection2 h1 {
  font-size: 12px;
  line-height: 14px;
  line-height: 100%;
  letter-spacing: 16.5%;
  margin-bottom: 29px;
  color: #353535;
  font-weight: 400;
}

.footerSection2 a {
  margin-bottom: 10px;
  font-size: 14px;
  font-weight: 400;
  line-height: 23.5px;
  font-style: normal;
  vertical-align: top;
  display: flex;
  flex-direction: column;
  text-align: left;
}

/*==========footerSection3 styles================ */

.footerSection3 {
  grid-area: footerSection3;
  color: #7e7e7e;

  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-top: 80px;
  padding-left: 20px;
}
.footerSection3 h1 {
  font-size: 12px;
  line-height: 14px;
  line-height: 100%;
  letter-spacing: 16.5%;
  margin-bottom: 29px;
  color: #353535;
  font-weight: 400;
}

.footerSection3 a {
  margin-bottom: 10px;
  font-size: 14px;
  font-weight: 400;
  line-height: 23.5px;
  font-style: normal;
  vertical-align: top;
  text-align: left;
}
#desktop {
  display: block;
}
#mobile {
  display: none;
}
/* ===================mobile styling===================== */

.promotionTitle {
  width: 120px;
  background-color: #fff;
  padding: 10px;
  top: 10px;
  left: 30px;
  position: absolute;
  z-index: 100;
}

@media only screen and (max-width: 600px) {
  .container {
    display: grid;

    grid-template-columns: 1fr;
    grid-template-rows: 80px 100px auto auto 20px;
    grid-template-areas:
      "header"
      "nav"
      "main"
      "footer"
      "small";
  }
  header {
    font-size: 24px;
    height: auto;
  }
  nav {
    background-color: #ffffff;
    padding-left: 40px;
    padding-right: 40px;
    grid-area: nav;
    color: black;
    flex: 1;
    flex-direction: row;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 40px;
    padding-right: 40px;
    height: 100px;
  }

  #menuIcon,
  .navBag {
    display: flex;
    font-size: 48px;
  }
  #navbar {
    display: none;
  }
  .navIcon {
    display: none;
  }
  #logo {
    font-size: 60px;
  }

  #section1,
  #section2,
  #section3,
  #section4 {
    color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    flex: 1;
    font-size: 14px;
    font-weight: 400;
    font-style: normal;
  }
  .innerSection {
    display: flex;
    flex: 1;
    padding: 0;
  }
  #firstImage {
    display: flex;
    flex: 1;
    justify-content: flex-end;
  }

  #fistDetail,
  #secondDetail,
  #thirdDetail {
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: flex-start;
    align-items: flex-start;
    display: flex;
    flex: 1;
    margin: 0;
    padding: 0;
  }
  #thirdDetail h1,
  #secondDetail h3,
  ul {
    margin: 40px 16px;
    padding: 0;
  }
  #secondImage,
  #thirdImage {
    display: flex;
    flex: 1;
    padding: 0;
    margin: 40px 16px;
  }

  #fistDetail section {
    display: flex;
    font-weight: 400;
    font-size: 28px;
    line-height: 23.45px;
    font-style: normal;
    margin-bottom: 80px;
  }
  #fistDetail h1 {
    font-size: 56px;
    margin-top: 55px;
    line-height: 72.4px;
    text-transform: capitalize;
    font-weight: 400;
  }

  #secondDetail li,
  h3 {
    list-style-type: none;
    line-height: 54px;
    font-weight: 700;
    display: flex;
    font-size: 32px;
    text-align: left;
  }
  mark {
    color: gold;
    background-color: black;
    display: inline-block;
  }
  /* =====section3====== */

  #section3 h1 {
    width: 100%;
  }

  #thirdDetail h1 {
    font-size: 80px;
    font-weight: 700;
    font-style: normal;
    line-height: 114.4px;
    font: Open sans-serif;
    margin-left: 80px;
    width: 517px;
    margin-top: 172px;
    text-transform: uppercase;
    letter-spacing: 18%;
  }

  footer {
    display: grid;
    background-color: #f1f1f1;
    grid-area: footer;
    color: rgb(255, 255, 255);
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    grid-template-areas:
      "footerSection1"
      "footerSection2"
      "footerSection3";

    /* grid-gap: 0.1rem; */
  }
  .footerSection1 {
    color: #000000;
    grid-area: footerSection1;
    padding-top: 40px;
    padding-left: 16px;
  }
  .footerSection1 h1 {
    font-size: 14px;
    line-height: 14px;
    line-height: 100%;
    letter-spacing: 16.5%;
    margin-bottom: 29px;
  }
}
